--- gcc5.spec	2016-02-10 11:42:50.189256125 +0100
+++ gcc5.minimal.spec	2016-02-10 11:47:58.435107923 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gcc5
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -14,80 +14,21 @@
 
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
-# icecream 0
 
 
-# Ada currently fails to build on a few platforms, enable it only
-# on those that work
-%if %{suse_version} >= 1310
-%define ada_arch %ix86 x86_64 ppc ppc64 s390 ia64
-%else
-%define ada_arch %ix86 x86_64 ppc s390 ia64
-%endif
-
-%ifarch %ada_arch
-%define build_ada !0%{?building_libjava:1}%{?building_libffi:1}
-%else
-%define build_ada 0
-%endif
-
 %define quadmath_arch %ix86 x86_64 ia64
 %define tsan_arch x86_64
-%define asan_arch x86_64 %ix86 ppc ppc64 ppc64le %sparc %arm aarch64
-%define itm_arch x86_64 %ix86 %arm aarch64 ppc ppc64 ppc64le s390 s390x %sparc
-%define atomic_arch x86_64 %ix86 %arm aarch64 ppc ppc64 ppc64le s390 s390x %sparc m68k ia64
+%define asan_arch x86_64 %ix86 ppc ppc64 ppc64le %{sparc} %arm aarch64
+%define itm_arch x86_64 %ix86 %arm aarch64 ppc ppc64 ppc64le s390 s390x %{sparc}
+%define atomic_arch x86_64 %ix86 %arm aarch64 ppc ppc64 ppc64le s390 s390x %{sparc} m68k ia64
 %define lsan_arch x86_64
 %define ubsan_arch x86_64 %ix86 ppc ppc64 ppc64le %arm aarch64
-%if 0%{?build_libvtv:1}
-%define vtv_arch x86_64 %ix86
-%endif
 %define cilkrts_arch x86_64 %ix86
-%if %{suse_version} >= 1310
-%define mpx_arch x86_64 %ix86
-%endif
-
-# We don't want to build java
-%ifarch mips
-%define build_java 0
-%define build_libjava 0
-%else
-%define build_java 1
-%define build_libjava 0%{?building_libjava:1}%{?building_libffi:1}%{?building_testsuite:1}
-%endif
-
 %define build_cp 1
 %define build_fortran !0%{?building_libjava:1}%{?building_libffi:1}
 %define build_objc !0%{?building_libjava:1}%{?building_libffi:1}
 %define build_objcp !0%{?building_libjava:1}%{?building_libffi:1}
 %define build_go !0%{?building_libjava:1}%{?building_libffi:1}
-
-%if %{build_objcp}
-%define build_cp 1
-%define build_objc 1
-%endif
-
-%if %{build_libjava}
-%define build_cp 1
-%endif
-
-# For optional compilers only build C, C++, Fortran, Ada and Go
-%if 0%{?build_optional_compiler_languages:1}
-%define build_java 0
-%define build_libjava 0
-%define build_objc 0
-%define build_objcp 0
-%endif
-
-# Shared library SONAME versions
-%ifarch hppa
-%define libgcc_s 4
-%else
-%ifarch m68k
-%define libgcc_s 2
-%else
-%define libgcc_s 1
-%endif
-%endif
 %define libgcj_sover 16
 %define libgcj_bc_sover 1
 %define libffi_sover 4
@@ -107,7 +48,6 @@
 %define libgo_sover 7
 %define libmpx_sover 0
 %define libmpxwrappers_sover 0
-
 # Shared library package suffix
 # This is used for the "non-standard" set of libraries, the standard
 # being defined by %product_libs_gcc_ver, the GCC version that should
@@ -117,14 +57,12 @@
 # Individual shared libraries can be directed to be built from individual
 # gcc versions by defining %product_libs_gcc_ver_libgcc_s1 for example,
 # generally %product_libs_gcc_ver_%name%sover, similarly.
-
 %define itsme5 1
 %define plv_ %{!?product_libs_gcc_ver:5}%{?product_libs_gcc_ver}
 %define plv() %{expand:%%{!?itsme%{expand:%%{!?product_libs_gcc_ver_%{1}%{2}:%%{plv_}}%%{?product_libs_gcc_ver_%{1}%{2}}}:-gcc5}}
-
 %define libgcc_s_suffix %{plv libgcc_s %{libgcc_s}}
 # libgcj SONAME changes with every GCC version
-%define libgcj_suffix %nil
+%define libgcj_suffix %{nil}
 %define libgcj_bc_suffix %{plv libgcj_bc %{libgcj_bc_sover}}
 %define libffi_suffix %{plv libffi %{libffi_sover}}
 %define libgomp_suffix %{plv libgomp %{libgomp_sover}}
@@ -143,38 +81,75 @@
 %define libgo_suffix %{plv libgo %{libgo_sover}}
 %define libmpx_suffix %{plv libmpx %{libmpx_sover}}
 %define libmpxwrappers_suffix %{plv libmpxwrappers %{libmpx_sover}}
-
 # libFOO-devel package suffix
 %define libdevel_suffix -gcc5
-
-%if %{suse_version} >= 1220
-%define selfconflict() %1
+%define separate_bi32 0
+%define separate_bi64 0
+# Define two macros to trigger -32bit or -64bit package variants
+%define separate_biarch 0
+%define biarch_libjava 0
+%define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
+%define gcc_version %(echo %{version} | sed 's/+.*//')
+%define gcc_dir_version %(echo %{gcc_version} | cut -d '.' -f 1)
+%define gcc_snapshot_revision %(echo %{version} | sed 's/[3-9]\.[0-9]\.[0-6]//' | sed 's/+/-/')
+%define binsuffix -5
+# Ada currently fails to build on a few platforms, enable it only
+# on those that work
+%if 0%{?suse_version} >= 1310
+%define ada_arch %ix86 x86_64 ppc ppc64 s390 ia64
 %else
-%define selfconflict() otherproviders(%1)
+%define ada_arch %ix86 x86_64 ppc s390 ia64
 %endif
-
-Name:           gcc5
-# With generated files in src we could drop the following
-BuildRequires:  bison
-BuildRequires:  flex
-BuildRequires:  gettext-devel
-%if %{suse_version} > 1220
-BuildRequires:  makeinfo
+%ifarch %{ada_arch}
+%define build_ada !0%{?building_libjava:1}%{?building_libffi:1}
 %else
-BuildRequires:  texinfo
+%define build_ada 0
 %endif
-# until here, but at least renaming and patching info files breaks this
-BuildRequires:  gcc-c++
-BuildRequires:  glibc-devel-32bit
-BuildRequires:  mpc-devel
-BuildRequires:  mpfr-devel
-BuildRequires:  perl
-BuildRequires:  zlib-devel
-%if %{suse_version} >= 1230
-BuildRequires:  isl-devel
+%if 0%{?build_libvtv:1}
+%define vtv_arch x86_64 %ix86
+%endif
+%if 0%{?suse_version} >= 1310
+%define mpx_arch x86_64 %ix86
+%endif
+# We don't want to build java
+%ifarch mips
+%define build_java 0
+%define build_libjava 0
+%else
+%define build_java 1
+%define build_libjava 0%{?building_libjava:1}%{?building_libffi:1}%{?building_testsuite:1}
+%endif
+%if %{build_objcp}
+%define build_cp 1
+%define build_objc 1
+%endif
+%if %{build_libjava}
+%define build_cp 1
+%endif
+# For optional compilers only build C, C++, Fortran, Ada and Go
+%if 0%{?build_optional_compiler_languages:1}
+%define build_java 0
+%define build_libjava 0
+%define build_objc 0
+%define build_objcp 0
+%endif
+# Shared library SONAME versions
+%ifarch hppa
+%define libgcc_s 4
+%else
+%ifarch m68k
+%define libgcc_s 2
+%else
+%define libgcc_s 1
+%endif
+%endif
+%if 0%{?suse_version} >= 1220
+%define selfconflict() %{1}
+%else
+%define selfconflict() otherproviders(%{1})
 %endif
 %if %{build_ada}
-%if %{suse_version} > 1330
+%if 0%{?suse_version} > 1330
 %define hostsuffix %{binsuffix}
 BuildRequires:  gcc5-ada
 %else
@@ -182,26 +157,6 @@
 BuildRequires:  gcc-ada
 %endif
 %endif
-%if 0%{?building_libjava:1}%{?building_testsuite:1}
-BuildRequires:  fastjar
-# For building the libstdc++ API reference
-BuildRequires:  doxygen
-BuildRequires:  graphviz
-%endif
-%if 0%{?building_libffi:1}
-BuildRequires:  pkg-config
-%endif
-%ifarch ia64
-BuildRequires:  libunwind-devel
-%endif
-%if 0%{?run_tests:1}
-BuildRequires:  dejagnu
-BuildRequires:  expect
-BuildRequires:  gdb
-%endif
-
-%define separate_bi32 0
-%define separate_bi64 0
 %ifarch ppc sparcv9
 # Beware, this does _not_ separate libgcj, as for that one multilibing
 # is inactive for the time being
@@ -210,9 +165,6 @@
 %ifarch x86_64 s390x ppc64 sparc64
 %define separate_bi32 1
 %endif
-
-# Define two macros to trigger -32bit or -64bit package variants
-%define separate_biarch 0
 %if %{separate_bi32}
 %define separate_biarch 1
 %define separate_biarch_suffix -32bit
@@ -221,64 +173,20 @@
 %define separate_biarch 1
 %define separate_biarch_suffix -64bit
 %endif
-
 %ifarch x86_64 ia64 s390x alpha ppc64 sparc64
 # 64-bit is primary build target
 %define build_primary_64bit 1
 %else
 %define build_primary_64bit 0
 %endif
-
-%define biarch_libjava 0
-
-%define biarch_targets x86_64 s390x powerpc64 powerpc sparc sparc64
-
-Url:            http://gcc.gnu.org/
+Name:           gcc5
 Version:        5.3.1+r231346
 Release:        0
-%define gcc_version %(echo %version | sed 's/+.*//')
-%define gcc_dir_version %(echo %gcc_version | cut -d '.' -f 1)
-%define gcc_snapshot_revision %(echo %version | sed 's/[3-9]\.[0-9]\.[0-6]//' | sed 's/+/-/')
-%define binsuffix -5
-
-%if !0%{?building_libjava:1}%{?building_libffi:1}%{?building_testsuite:1}
-Requires:       binutils
-Requires:       cpp5 = %{version}-%{release}
-Requires:       glibc-devel
-Requires:       libgcc_s%{libgcc_s} >= %{version}-%{release}
-Requires:       libgomp%{libgomp_sover} >= %{version}-%{release}
-%ifarch %asan_arch
-Requires:       libasan%{libasan_sover} >= %{version}-%{release}
-%endif
-%ifarch %tsan_arch
-Requires:       libtsan%{libtsan_sover} >= %{version}-%{release}
-%endif
-%ifarch %atomic_arch
-Requires:       libatomic%{libatomic_sover} >= %{version}-%{release}
-%endif
-%ifarch %itm_arch
-Requires:       libitm%{libitm_sover} >= %{version}-%{release}
-%endif
-%ifarch %cilkrts_arch
-Requires:       libcilkrts%{libcilkrts_sover} >= %{version}-%{release}
-%endif
-%ifarch %lsan_arch
-Requires:       liblsan%{liblsan_sover} >= %{version}-%{release}
-%endif
-%ifarch %ubsan_arch
-Requires:       libubsan%{libubsan_sover} >= %{version}-%{release}
-%endif
-%ifarch %vtv_arch
-Requires:       libvtv%{libvtv_sover} >= %{version}-%{release}
-%endif
-%ifarch %mpx_arch
-Requires:       libmpx%{libmpx_sover} >= %{version}-%{release}
-Requires:       libmpxwrappers%{libmpxwrappers_sover} >= %{version}-%{release}
-%endif
-Suggests:       gcc5-info gcc5-locale
-%endif
-
-BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+#testpatch end
+Summary:        The GNU C Compiler and Support Files
+License:        GPL-3.0+
+Group:          Development/Languages/C and C++
+Url:            http://gcc.gnu.org/
 Source:         gcc-%{gcc_version}%{gcc_snapshot_revision}.tar.bz2
 Source1:        change_spec
 Source2:        libffi-gcc5-rpmlintrc
@@ -287,9 +195,7 @@
 Source5:        README.First-for.SuSE.packagers
 Source6:        baselibs.conf
 Source7:        libgcj-gcc5-rpmlintrc
-
 #testpatch begin
-
 Patch1:         gcc-dir-version.patch
 Patch2:         gcc-add-defaultsspec.diff
 Patch3:         Wunprototyped-calls.diff
@@ -308,12 +214,80 @@
 Patch61:        gcc44-rename-info-files.patch
 # Some libgo patches
 Patch70:        gcc5-libgo-fix-certificates-lookup.patch
-
-#testpatch end
-
-Summary:        The GNU C Compiler and Support Files
-License:        GPL-3.0+
-Group:          Development/Languages/C and C++
+# With generated files in src we could drop the following
+BuildRequires:  bison
+BuildRequires:  flex
+# until here, but at least renaming and patching info files breaks this
+BuildRequires:  gcc-c++
+BuildRequires:  gettext-devel
+BuildRequires:  glibc-devel-32bit
+BuildRequires:  mpc-devel
+BuildRequires:  mpfr-devel
+BuildRequires:  perl
+BuildRequires:  zlib-devel
+BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+%if 0%{?suse_version} > 1220
+BuildRequires:  makeinfo
+%else
+BuildRequires:  texinfo
+%endif
+%if 0%{?suse_version} >= 1230
+BuildRequires:  isl-devel
+%endif
+%if 0%{?building_libjava:1}%{?building_testsuite:1}
+# For building the libstdc++ API reference
+BuildRequires:  doxygen
+BuildRequires:  fastjar
+BuildRequires:  graphviz
+%endif
+%if 0%{?building_libffi:1}
+BuildRequires:  pkg-config
+%endif
+%ifarch ia64
+BuildRequires:  libunwind-devel
+%endif
+%if 0%{?run_tests:1}
+BuildRequires:  dejagnu
+BuildRequires:  expect
+BuildRequires:  gdb
+%endif
+%if !0%{?building_libjava:1}%{?building_libffi:1}%{?building_testsuite:1}
+Requires:       binutils
+Requires:       cpp5 = %{version}-%{release}
+Requires:       glibc-devel
+Requires:       libgcc_s%{libgcc_s} >= %{version}-%{release}
+Requires:       libgomp%{libgomp_sover} >= %{version}-%{release}
+Suggests:       gcc5-info
+Suggests:       gcc5-locale
+%ifarch %{asan_arch}
+Requires:       libasan%{libasan_sover} >= %{version}-%{release}
+%endif
+%ifarch %{tsan_arch}
+Requires:       libtsan%{libtsan_sover} >= %{version}-%{release}
+%endif
+%ifarch %{atomic_arch}
+Requires:       libatomic%{libatomic_sover} >= %{version}-%{release}
+%endif
+%ifarch %{itm_arch}
+Requires:       libitm%{libitm_sover} >= %{version}-%{release}
+%endif
+%ifarch %{cilkrts_arch}
+Requires:       libcilkrts%{libcilkrts_sover} >= %{version}-%{release}
+%endif
+%ifarch %{lsan_arch}
+Requires:       liblsan%{liblsan_sover} >= %{version}-%{release}
+%endif
+%ifarch %{ubsan_arch}
+Requires:       libubsan%{libubsan_sover} >= %{version}-%{release}
+%endif
+%ifarch %{vtv_arch}
+Requires:       libvtv%{libvtv_sover} >= %{version}-%{release}
+%endif
+%ifarch %{mpx_arch}
+Requires:       libmpx%{libmpx_sover} >= %{version}-%{release}
+Requires:       libmpxwrappers%{libmpxwrappers_sover} >= %{version}-%{release}
+%endif
+%endif
 
 %description
 Core package for the GNU Compiler Collection, including the C language
@@ -323,52 +297,50 @@
 namely gcc-ada, gcc-c++, gcc-fortran, gcc-java, gcc-objc and
 gcc-obj-c++.
 
-
-
 %package -n gcc5-32bit
 Summary:        The GNU C Compiler 32bit support
 License:        GPL-3.0+
 Group:          Development/Languages/C and C++
 Requires:       gcc5 = %{version}-%{release}
+Requires:       glibc-devel-32bit
 Requires:       libgcc_s%{libgcc_s}-32bit >= %{version}-%{release}
 Requires:       libgomp%{libgomp_sover}-32bit >= %{version}-%{release}
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 Requires:       libasan%{libasan_sover}-32bit >= %{version}-%{release}
 %endif
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 # tsan on x86_64 has no multilib
 %ifarch x86_64
 %else
 Requires:       libtsan%{libtsan_sover}-32bit >= %{version}-%{release}
 %endif
 %endif
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
 Requires:       libatomic%{libatomic_sover}-32bit >= %{version}-%{release}
 %endif
-%ifarch %itm_arch
+%ifarch %{itm_arch}
 Requires:       libitm%{libitm_sover}-32bit >= %{version}-%{release}
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 Requires:       libcilkrts%{libcilkrts_sover}-32bit >= %{version}-%{release}
 %endif
 # lsan on x86_64 has no multilib
 %ifarch x86_64
 %else
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 Requires:       liblsan%{liblsan_sover} >= %{version}-%{release}
 %endif
 %endif
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
 Requires:       libubsan%{libubsan_sover}-32bit >= %{version}-%{release}
 %endif
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
 Requires:       libvtv%{libvtv_sover}-32bit >= %{version}-%{release}
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 Requires:       libmpx%{libmpx_sover}-32bit >= %{version}-%{release}
 Requires:       libmpxwrappers%{libmpxwrappers_sover}-32bit >= %{version}-%{release}
 %endif
-Requires:       glibc-devel-32bit
 
 %description -n gcc5-32bit
 This package contains 32bit support for the GNU Compiler Collection.
@@ -378,42 +350,41 @@
 License:        GPL-3.0+
 Group:          Development/Languages/C and C++
 Requires:       gcc5 = %{version}-%{release}
+Requires:       glibc-devel-64bit
 Requires:       libgcc_s%{libgcc_s}-64bit >= %{version}-%{release}
 Requires:       libgomp%{libgomp_sover}-64bit >= %{version}-%{release}
-%ifarch %asan_arch
+%ifarch %{asan_arch}
 Requires:       libasan%{libasan_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %tsan_arch
+%ifarch %{tsan_arch}
 Requires:       libtsan%{libtsan_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %atomic_arch
+%ifarch %{atomic_arch}
 Requires:       libatomic%{libatomic_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %itm_arch
+%ifarch %{itm_arch}
 Requires:       libitm%{libitm_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %cilkrts_arch
+%ifarch %{cilkrts_arch}
 Requires:       libcilkrts%{libcilkrts_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %lsan_arch
+%ifarch %{lsan_arch}
 Requires:       liblsan%{liblsan_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %ubsan_arch
+%ifarch %{ubsan_arch}
 Requires:       libubsan%{libubsan_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %vtv_arch
+%ifarch %{vtv_arch}
 Requires:       libvtv%{libvtv_sover}-64bit >= %{version}-%{release}
 %endif
-%ifarch %mpx_arch
+%ifarch %{mpx_arch}
 Requires:       libmpx%{libmpx_sover}-64bit >= %{version}-%{release}
 Requires:       libmpxwrappers%{libmpxwrappers_sover}-64bit >= %{version}-%{release}
 %endif
-Requires:       glibc-devel-64bit
 
 %description -n gcc5-64bit
 This package contains 64bit support for the GNU Compiler Collection.
 
-
 %package locale
 Summary:        Locale Data for the GNU Compiler Collection
 License:        GPL-3.0+
@@ -424,7 +395,6 @@
 Locale data for the GNU Compiler Collection (GCC) to give error message
 in the current locale.
 
-
 %package c++
 Summary:        The GNU C++ Compiler
 License:        GPL-3.0+
@@ -435,6 +405,7 @@
 
 %description c++
 This package contains the GNU compiler for C++.
+
 %package c++-32bit
 Summary:        The GNU C++ Compiler
 License:        GPL-3.0+
@@ -445,6 +416,7 @@
 
 %description c++-32bit
 This package contains the GNU compiler for C++.
+
 %package c++-64bit
 Summary:        The GNU C++ Compiler
 License:        GPL-3.0+
@@ -456,7 +428,6 @@
 %description c++-64bit
 This package contains the GNU compiler for C++.
 
-
 %package -n libstdc++%{libstdcxx_sover}-devel%{libdevel_suffix}
 Summary:        Include Files and Libraries mandatory for Development
 License:        GPL-3.0-with-GCC-exception
@@ -471,6 +442,7 @@
 %description -n libstdc++%{libstdcxx_sover}-devel%{libdevel_suffix}
 This package contains all the headers and libraries of the standard C++
 library. It is needed for compiling C++ code.
+
 %package -n libstdc++%{libstdcxx_sover}-devel%{libdevel_suffix}-32bit
 Summary:        Include Files and Libraries mandatory for Development
 License:        GPL-3.0-with-GCC-exception
@@ -485,6 +457,7 @@
 %description -n libstdc++%{libstdcxx_sover}-devel%{libdevel_suffix}-32bit
 This package contains all the headers and libraries of the standard C++
 library. It is needed for compiling C++ code.
+
 %package -n libstdc++%{libstdcxx_sover}-devel%{libdevel_suffix}-64bit
 Summary:        Include Files and Libraries mandatory for Development
 License:        GPL-3.0-with-GCC-exception
@@ -500,15 +473,14 @@
 This package contains all the headers and libraries of the standard C++
 library. It is needed for compiling C++ code.
 
-
 %package -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}
 Summary:        C compiler runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgcc_s%{libgcc_s} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgcc_s%{libgcc_s}
+Provides:       libgcc_s%{libgcc_s} = %{version}-%{release}
 
 %description -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}
 Libgcc is needed for dynamically linked C programs.
@@ -516,14 +488,15 @@
 %post -n libgcc_s%{libgcc_s}%{libgcc_s_suffix} -p /sbin/ldconfig
 
 %postun -n libgcc_s%{libgcc_s}%{libgcc_s_suffix} -p /sbin/ldconfig
+
 %package -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-32bit
 Summary:        C compiler runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgcc_s%{libgcc_s}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgcc_s%{libgcc_s}-32bit
+Provides:       libgcc_s%{libgcc_s}-32bit = %{version}-%{release}
 
 %description -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-32bit
 Libgcc is needed for dynamically linked C programs.
@@ -531,14 +504,15 @@
 %post -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-64bit
 Summary:        C compiler runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgcc_s%{libgcc_s}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgcc_s%{libgcc_s}-64bit
+Provides:       libgcc_s%{libgcc_s}-64bit = %{version}-%{release}
 
 %description -n libgcc_s%{libgcc_s}%{libgcc_s_suffix}-64bit
 Libgcc is needed for dynamically linked C programs.
@@ -551,10 +525,10 @@
 Summary:        The GNU compiler collection OpenMP runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgomp%{libgomp_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgomp%{libgomp_sover}
+Provides:       libgomp%{libgomp_sover} = %{version}-%{release}
 
 %description -n libgomp%{libgomp_sover}%{libgomp_suffix}
 This is the OpenMP runtime library needed by OpenMP enabled programs
@@ -562,18 +536,18 @@
 were auto-parallelized via the -ftree-parallelize-loops compiler
 option.
 
-
 %post -n libgomp%{libgomp_sover}%{libgomp_suffix} -p /sbin/ldconfig
 
 %postun -n libgomp%{libgomp_sover}%{libgomp_suffix} -p /sbin/ldconfig
+
 %package -n libgomp%{libgomp_sover}%{libgomp_suffix}-32bit
 Summary:        The GNU compiler collection OpenMP runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgomp%{libgomp_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgomp%{libgomp_sover}-32bit
+Provides:       libgomp%{libgomp_sover}-32bit = %{version}-%{release}
 
 %description -n libgomp%{libgomp_sover}%{libgomp_suffix}-32bit
 This is the OpenMP runtime library needed by OpenMP enabled programs
@@ -581,18 +555,18 @@
 were auto-parallelized via the -ftree-parallelize-loops compiler
 option.
 
-
 %post -n libgomp%{libgomp_sover}%{libgomp_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libgomp%{libgomp_sover}%{libgomp_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libgomp%{libgomp_sover}%{libgomp_suffix}-64bit
 Summary:        The GNU compiler collection OpenMP runtime library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Base
-Provides:       libgomp%{libgomp_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libgomp%{libgomp_sover}-64bit
+Provides:       libgomp%{libgomp_sover}-64bit = %{version}-%{release}
 
 %description -n libgomp%{libgomp_sover}%{libgomp_suffix}-64bit
 This is the OpenMP runtime library needed by OpenMP enabled programs
@@ -600,7 +574,6 @@
 were auto-parallelized via the -ftree-parallelize-loops compiler
 option.
 
-
 %post -n libgomp%{libgomp_sover}%{libgomp_suffix}-64bit -p /sbin/ldconfig
 
 %postun -n libgomp%{libgomp_sover}%{libgomp_suffix}-64bit -p /sbin/ldconfig
@@ -610,49 +583,48 @@
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
 Suggests:       libstdc++%{libstdcxx_sover}-locale
-Provides:       libstdc++%{libstdcxx_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libstdc++%{libstdcxx_sover}
+Provides:       libstdc++%{libstdcxx_sover} = %{version}-%{release}
 
 %description -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}
 The standard C++ library, needed for dynamically linked C++ programs.
 
-
 %post -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix} -p /sbin/ldconfig
 
 %postun -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix} -p /sbin/ldconfig
+
 %package -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-32bit
 Summary:        The standard C++ shared library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
 Suggests:       libstdc++%{libstdcxx_sover}-locale
-Provides:       libstdc++%{libstdcxx_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libstdc++%{libstdcxx_sover}-32bit
+Provides:       libstdc++%{libstdcxx_sover}-32bit = %{version}-%{release}
 
 %description -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-32bit
 The standard C++ library, needed for dynamically linked C++ programs.
 
-
 %post -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-64bit
 Summary:        The standard C++ shared library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
 Suggests:       libstdc++%{libstdcxx_sover}-locale
-Provides:       libstdc++%{libstdcxx_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libstdc++%{libstdcxx_sover}-64bit
+Provides:       libstdc++%{libstdcxx_sover}-64bit = %{version}-%{release}
 
 %description -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-64bit
 The standard C++ library, needed for dynamically linked C++ programs.
 
-
 %post -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-64bit -p /sbin/ldconfig
 
 %postun -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-64bit -p /sbin/ldconfig
@@ -661,15 +633,14 @@
 Summary:        Locale Data for the standard C++ shared library
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
-Provides:       libstdc++%{libstdcxx_sover}-locale = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libstdc++%{libstdcxx_sover}-locale
+Provides:       libstdc++%{libstdcxx_sover}-locale = %{version}-%{release}
 
 %description -n libstdc++%{libstdcxx_sover}%{libstdcxx_suffix}-locale
 The standard C++ library locale data.
 
-
 %package info
 Summary:        Documentation for the GNU compiler collection
 License:        GFDL-1.2
@@ -683,7 +654,6 @@
 GNU info-pages for the GNU compiler collection covering both user-level
 and internals documentation.
 
-
 %package objc
 Summary:        GNU Objective C Compiler
 License:        GPL-3.0+
@@ -696,6 +666,7 @@
 This package contains the GNU Objective C compiler. Objective C is an
 object oriented language, created by Next Inc. and used in their
 Nextstep OS. The source code is available in the gcc package.
+
 %package objc-32bit
 Summary:        GNU Objective C Compiler
 License:        GPL-3.0+
@@ -708,6 +679,7 @@
 This package contains the GNU Objective C compiler. Objective C is an
 object oriented language, created by Next Inc. and used in their
 Nextstep OS. The source code is available in the gcc package.
+
 %package objc-64bit
 Summary:        GNU Objective C Compiler
 License:        GPL-3.0+
@@ -725,10 +697,10 @@
 Summary:        Library for the GNU Objective C Compiler
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Libraries/Other
-Provides:       libobjc%{libobjc_sover} = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libobjc%{libobjc_sover}
+Provides:       libobjc%{libobjc_sover} = %{version}-%{release}
 
 %description -n libobjc%{libobjc_sover}%{libobjc_suffix}
 The library for the GNU Objective C compiler.
@@ -736,14 +708,15 @@
 %post -n libobjc%{libobjc_sover}%{libobjc_suffix} -p /sbin/ldconfig
 
 %postun -n libobjc%{libobjc_sover}%{libobjc_suffix} -p /sbin/ldconfig
+
 %package -n libobjc%{libobjc_sover}%{libobjc_suffix}-32bit
 Summary:        Library for the GNU Objective C Compiler
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Libraries/Other
-Provides:       libobjc%{libobjc_sover}-32bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libobjc%{libobjc_sover}-32bit
+Provides:       libobjc%{libobjc_sover}-32bit = %{version}-%{release}
 
 %description -n libobjc%{libobjc_sover}%{libobjc_suffix}-32bit
 The library for the GNU Objective C compiler.
@@ -751,14 +724,15 @@
 %post -n libobjc%{libobjc_sover}%{libobjc_suffix}-32bit -p /sbin/ldconfig
 
 %postun -n libobjc%{libobjc_sover}%{libobjc_suffix}-32bit -p /sbin/ldconfig
+
 %package -n libobjc%{libobjc_sover}%{libobjc_suffix}-64bit
 Summary:        Library for the GNU Objective C Compiler
 License:        GPL-3.0-with-GCC-exception
 Group:          Development/Libraries/Other
-Provides:       libobjc%{libobjc_sover}-64bit = %{version}-%{release}
 # Only one package may provide this - allows multiple gcc versions
 # to co-exist without an overly large list of provides/obsoletes
 Conflicts:      %selfconflict libobjc%{libobjc_sover}-64bit
+Provides:       libobjc%{libobjc_sover}-64bit = %{version}-%{release}
 
 %description -n libobjc%{libobjc_sover}%{libobjc_suffix}-64bit
 The library for the GNU Objective C compiler.
@@ -779,6 +753,7 @@
 This package contains the GNU Objective C++ compiler. Objective C++ is an
 object oriented language, created by Next Inc. and used in their
 Nextstep OS. The source code is available in the gcc package.
+
 %package obj-c++-32bit
 Summary:        GNU Objective C++ Compiler
 License:        GPL-3.0+
@@ -791,6 +766,7 @@
 This package contains the GNU Objective C++ compiler. Objective C++ is an
 object oriented language, created by Next Inc. and used in their
 Nextstep OS. The source code is available in the gcc package.
+
 %package obj-c++-64bit
 Summary:        GNU Objective C++ Compiler
 License:        GPL-3.0+
@@ -804,7 +780,6 @@
 object oriented language, created by Next Inc. and used in their
 Nextstep OS. The source code is available in the gcc package.
 
-
 %package -n cpp5
 Summary:        The GCC Preprocessor
 License:        GPL-3.0+
@@ -814,7 +789,6 @@
 This Package contains just the preprocessor that is used by the X11
 packages.
 
-
 %package ada
 Summary:        GNU Ada95 Compiler Based on GCC (GNAT)
 License:        GPL-3.0+
@@ -828,6 +802,7 @@
 tools based on the GNU GCC technology. Ada95 is the object oriented
 successor of the Ada83 language. To build this package from source you
 must have installed a binary version to bootstrap the compiler.
+
 %package ada-32bit
 Summary:        GNU Ada95 Compiler Based on GCC (GNAT)
 License:        GPL-3.0+
@@ -841,6 +816,7 @@
 tools based on the GNU GCC technology. Ada95 is the object oriented
 successor of the Ada83 language. To build this package from source you
 must have installed a binary version to bootstrap the compiler.
+
 %package ada-64bit
 Summary:        GNU Ada95 Compiler Based on GCC (GNAT)
 License:        GPL-3.0+
@@ -859,10 +835,10 @@
 Summary:        GNU Ada Runtime Libraries
 License:        GPL-3.0-with-GCC-exception
 Group:          System/Libraries
-Provides:       libgnarl-5 = %{version}-%{release}
 Conflicts:      %selfconflict libgnarl-5
-Provides:       libgnat-5 = %{version}-%{release}
 Conflicts:      %selfconflict libgnat-5
+Provides:       libgnarl-5 = %{version}-%{release}
+Provides:       libgnat-5 = %{version}-%{release}
 
 %description -n libada5
 This package contains the shared libraries required to run programs
